<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/
..\FrameXML\UI.xsd">
	<Script file="libs\LibStub\LibStub.lua"/>
	<Frame name="CLCDK_OptionsPanel" parent="UIParent">
		<Scripts>
			<OnLoad>
				self.name = "CLC DK"
				self.okay = function() CLCDK_OptionsOkay(); end
				self.default = function() CLCDK_SetDefaults(); end
			</OnLoad>
		</Scripts>
		
		<Layers>
			<Layer level="ARTWORK">
				<FontString name="$parent_Title" inherits="GameFontNormalLarge" text="CLCDK_ADDONNAME">
					<Anchors>
						<Anchor point="TOPLEFT">
							<Offset>
								<AbsDimension x="15" y="-15" />
							</Offset>
						</Anchor>
					</Anchors>
				</FontString>
			</Layer>
			
			<Layer level="ARTWORK">
				<FontString name="$parent_Title_Spec" inherits="GameFontDisableSmall" text= "CLCDK_SPEC">
					<Anchors>
						<Anchor point="LEFT" relativeTo="$parent_Title" relativePoint="RIGHT">
							<Offset>
								<AbsDimension x="5" y="0" />
							</Offset>
						</Anchor>
					</Anchors>
				</FontString>
			</Layer>
			
			<Layer level="ARTWORK">
				<FontString text="CLCDK_CONFIG_Author" inherits="GameFontDisableSmall" justifyH="LEFT">
					<Anchors><Anchor point="BOTTOMRIGHT"><Offset><AbsDimension x="-15" y="25"/></Offset></Anchor></Anchors>
				</FontString>
				<FontString text="CLCDK_CONFIG_Version" inherits="GameFontDisableSmall" justifyH="LEFT">
					<Anchors><Anchor point="BOTTOMRIGHT"><Offset><AbsDimension x="-15" y="15"/></Offset></Anchor></Anchors>
				</FontString>
			</Layer>			
		</Layers>		
				
		<Frames>
			<!--Castbar -->
			<CheckButton name="$parent_Castbar" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_Title">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Castbar" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Castbar
					</OnLoad>
					<OnClick>
						CLCDK_Settings.CastBar = (CLCDK_OptionsPanel_Castbar:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>		
		
			<!--Priority-->		
			<CheckButton name="$parent_Priority" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_Castbar">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Priority" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Priority
					</OnLoad>
					<OnClick>
						CLCDK_Settings.Priority = (CLCDK_OptionsPanel_Priority:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>
				
			<!--GCD -->	
			<CheckButton name="$parent_GCD" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_Priority">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_GCD" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_GCD
					</OnLoad>
					<OnClick>
						CLCDK_Settings.GCD = (CLCDK_OptionsPanel_GCD:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--Rune -->	
			<CheckButton name="$parent_Rune" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_GCD">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Rune" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Rune
					</OnLoad>
					<OnClick>
						CLCDK_Settings.Rune = (CLCDK_OptionsPanel_Rune:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--RP -->	
			<CheckButton name="$parent_RP" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_Rune">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_RP" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_RP
					</OnLoad>
					<OnClick>
						CLCDK_Settings.RP = (CLCDK_OptionsPanel_RP:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--Disease -->	
			<CheckButton name="$parent_Disease" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors>
					<Anchor point="TOPLEFT" relativeTo="$parent_RP">
						<Offset>
							<AbsDimension x="0" y="-25"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Disease" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Disease
					</OnLoad>
					<OnClick>
						CLCDK_Settings.Disease = (CLCDK_OptionsPanel_Disease:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>				
				
				
			<!--Horn -->	
			<CheckButton name="$parent_Horn" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_Disease"><Offset><AbsDimension x="0" y="-40"/></Offset></Anchor></Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Horn" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Horn
					</OnLoad>
					<OnClick>
						CLCDK_Settings.Horn = (CLCDK_OptionsPanel_Horn:GetChecked());	
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--CD -->	
			<CheckButton name="$parent_CD1" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_Horn"><Offset><AbsDimension x="0" y="-40"/></Offset></Anchor></Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD1" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_CD1
					</OnLoad>
					<OnClick>
						CLCDK_Settings.CD["1"] = (CLCDK_OptionsPanel_CD1:GetChecked());
						CLCDKUpdatePosition()
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--CD1_One Dropdown -->			
			<Button name="$parent_CD1_One" inherits="UIDropDownMenuTemplate">				
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_CD1" ><Offset><AbsDimension x="-15" y="-42"/></Offset></Anchor></Anchors>
				
				<Layers><Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD1_One" inherits="GameFontHighlight">
							<Anchors><Anchor point="BOTTOMLEFT" relativePoint="TOPLEFT"><Offset><AbsDimension x="20" y="2"/></Offset></Anchor></Anchors>
						</FontString>
				</Layer></Layers>
				
				<Scripts>				
					<OnLoad>
						UIDropDownMenu_SetWidth (CLCDK_OptionsPanel_CD1_One, 140, 5);
					</OnLoad>
                </Scripts>
            </Button>
			
			<!-- CD1_Two Dropdown -->			
			<Button name="$parent_CD1_Two" inherits="UIDropDownMenuTemplate">				
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_CD1_One" ><Offset><AbsDimension x="0" y="-45"/></Offset></Anchor></Anchors>
				
				<Layers><Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD1_Two" inherits="GameFontHighlight">
							<Anchors><Anchor point="BOTTOMLEFT" relativePoint="TOPLEFT"><Offset><AbsDimension x="20" y="2"/></Offset></Anchor></Anchors>
						</FontString>
				</Layer></Layers>
				
				<Scripts>				
					<OnLoad>
						UIDropDownMenu_SetWidth (CLCDK_OptionsPanel_CD1_Two, 140, 5);
					</OnLoad>
                </Scripts>
            </Button>	

			<!--CD2-->	
			<CheckButton name="$parent_CD2" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_CD1"><Offset><AbsDimension x="200" y="0"/></Offset></Anchor></Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD2" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_CD1
					</OnLoad>
					<OnClick>
						CLCDK_Settings.CD["2"] = (CLCDK_OptionsPanel_CD2:GetChecked());
						CLCDKUpdatePosition()
					</OnClick>
				</Scripts>
			</CheckButton>	
			
			<!--CD2_One Dropdown -->			
			<Button name="$parent_CD2_One" inherits="UIDropDownMenuTemplate">				
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_CD2" ><Offset><AbsDimension x="-15" y="-42"/></Offset></Anchor></Anchors>
				
				<Layers><Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD2_One" inherits="GameFontHighlight">
							<Anchors><Anchor point="BOTTOMLEFT" relativePoint="TOPLEFT"><Offset><AbsDimension x="20" y="2"/></Offset></Anchor></Anchors>
						</FontString>
				</Layer></Layers>
				
				<Scripts>				
					<OnLoad>
						UIDropDownMenu_SetWidth (CLCDK_OptionsPanel_CD2_One, 140, 5);
					</OnLoad>
                </Scripts>
            </Button>
			
			<!-- CD2_Two Dropdown -->			
			<Button name="$parent_CD2_Two" inherits="UIDropDownMenuTemplate">				
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_CD2_One" ><Offset><AbsDimension x="0" y="-45"/></Offset></Anchor></Anchors>
				
				<Layers><Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_CD2_Two" inherits="GameFontHighlight">
							<Anchors><Anchor point="BOTTOMLEFT" relativePoint="TOPLEFT"><Offset><AbsDimension x="20" y="2"/></Offset></Anchor></Anchors>
						</FontString>
				</Layer></Layers>
				
				<Scripts>				
					<OnLoad>
						UIDropDownMenu_SetWidth (CLCDK_OptionsPanel_CD2_Two, 140, 5);
					</OnLoad>
                </Scripts>
            </Button>		
			
						
			<!-- Lock -->
			<CheckButton name="$parent_Locked" inherits="InterfaceOptionsBaseCheckButtonTemplate">
				<Anchors><Anchor point="TOPRIGHT" ><Offset><AbsDimension x="-200" y="-40"/></Offset></Anchor></Anchors>
				<Layers>
					<Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_Locked" inherits="GameFontHighlight">
							<Anchors>
								<Anchor point="LEFT" relativePoint="RIGHT">
									<Offset>
										<AbsDimension x="0" y="1"/>
									</Offset>
								</Anchor>
						  </Anchors>
						</FontString>
					</Layer>
				</Layers>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Locked 
					</OnLoad>
					<OnClick>
						CLCDK_Settings.Locked = (CLCDK_OptionsPanel_Locked:GetChecked());
					</OnClick>
				</Scripts>
			</CheckButton>			
						
			<!--View Dropdown -->			
			<Button name="$parent_ViewDD" inherits="UIDropDownMenuTemplate">				
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_Locked" ><Offset><AbsDimension x="-15" y="-42"/></Offset></Anchor></Anchors>
				
				<Layers><Layer level="ARTWORK">
						<FontString name="$parentText" text="CLCDK_CONFIG_View" inherits="GameFontHighlight">
							<Anchors><Anchor point="BOTTOMLEFT" relativePoint="TOPLEFT"><Offset><AbsDimension x="20" y="2"/></Offset></Anchor></Anchors>
						</FontString>
				</Layer></Layers>
				
				<Scripts>				
					<OnLoad>
						UIDropDownMenu_SetWidth (CLCDK_OptionsPanel_ViewDD, 125, 5);
					</OnLoad>
                </Scripts>
            </Button>
			
			<!--Scale -->		
			<EditBox name="$parent_Scale" autoFocus="false" inherits="InputBoxTemplate">
				<Size><AbsDimension x="25" y="28"/></Size>
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_ViewDD" relativePoint="BOTTOMLEFT"><Offset><AbsDimension x="25" y="0"/></Offset></Anchor></Anchors>
				
				<Layers>
				  <Layer level="ARTWORK">
					<FontString name="$parentText" text="CLCDK_CONFIG_Scale" inherits="GameFontHighlight">
					  <Anchors><Anchor point="LEFT" relativePoint="RIGHT"><Offset><AbsDimension x="5" y="1"/></Offset></Anchor></Anchors>
					</FontString>
				  </Layer>
				</Layers>				
				
				<Scripts>
					<OnEnterPressed>
						CLCDK_OptionsOkay()
						this:ClearFocus()
					</OnEnterPressed>
					<OnEscapePressed>
						CLCDK_OptionsPanel_Scale:SetNumber(CLCDK_Settings.Scale)
						this:ClearFocus()
					</OnEscapePressed>
				</Scripts>				
			</EditBox>
			
			<!--Trans -->		
			<EditBox name="$parent_Trans" autoFocus="false" inherits="InputBoxTemplate">
				<Size><AbsDimension x="25" y="25"/></Size>
				<Anchors><Anchor point="TOPLEFT" relativeTo="$parent_Scale" relativePoint="BOTTOMLEFT"><Offset><AbsDimension x="0" y="0"/></Offset></Anchor></Anchors>
				
				<Layers>
				  <Layer level="ARTWORK">
					<FontString name="$parentText" text="CLCDK_CONFIG_Trans" inherits="GameFontHighlight">
					  <Anchors><Anchor point="LEFT" relativePoint="RIGHT"><Offset><AbsDimension x="5" y="1"/></Offset></Anchor></Anchors>
					</FontString>
				  </Layer>
				</Layers>				
				
				<Scripts>
					<OnEnterPressed>
						CLCDK_OptionsOkay()
						this:ClearFocus()
					</OnEnterPressed>
					<OnEscapePressed>
						CLCDK_OptionsPanel_Trans:SetNumber(CLCDK_Settings.Trans)
						this:ClearFocus()
					</OnEscapePressed>
				</Scripts>				
			</EditBox>
			
			<!--Reset -->	
			<Button name="$parent_Reset" inherits="UIPanelButtonTemplate"  Text="CLCDK_CONFIG_Reset">
				<Size>
					<AbsDimension x="120" y="22"/>
				</Size>
				<Anchors>
					<Anchor point="BOTTOMLEFT">
						<Offset>
							<AbsDimension x="15" y="15" />
						</Offset>
					</Anchor>
				</Anchors>
				<Scripts>
					<OnLoad>
						self.tooltipText = CLCDK_TOOLTIP_Reset
					</OnLoad>
					<OnClick>
						CLCDK_SetDefaults()
					</OnClick>
				</Scripts>
			</Button>   
		
		</Frames>		
	</Frame>
</Ui>
